package com.ltgk.common.enums;


import com.ltgk.common.utils.enums.CodeDescEnumInterface;
import lombok.Getter;

/**
 * 日常盘点/驻港盘点记录 盘点内容枚举类
 *
 * @author Qi ChengBin
 * @date 2025/02/26
 */
@Getter
public enum FemPortDailyInventoryContentEnums implements CodeDescEnumInterface {
    UNREPORTED_IN_PORT_BOAT(1, "未报备进港渔船"),
    UNREPORTED_OUT_PORT_BOAT(2, "未报备出港渔船"),
    ILLEGAL_PASSENGER_CARRYING(3, "非法载客"),
    VIOLATION_OF_TRANSPORTATION(4, "违规运输"),
    UNWRITTEN_SHIP_NAME_BOAT(5, "未刷写船名号渔船");

    private final Integer code;
    private final String desc;

    FemPortDailyInventoryContentEnums(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

}
